# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    ApiError,
    AuthenticationKeys,
    AvailableServiceSku,
    AvailableServiceSkuCapacity,
    AvailableServiceSkuSku,
    AzureActiveDirectoryApp,
    AzureBlob,
    BackupConfiguration,
    BackupFileInfo,
    BackupSetInfo,
    BlobShare,
    CheckOCIDriverTaskInput,
    CheckOCIDriverTaskOutput,
    CheckOCIDriverTaskProperties,
    CommandProperties,
    ConnectToMongoDbTaskProperties,
    ConnectToSourceMySqlTaskInput,
    ConnectToSourceMySqlTaskProperties,
    ConnectToSourceNonSqlTaskOutput,
    ConnectToSourceOracleSyncTaskInput,
    ConnectToSourceOracleSyncTaskOutput,
    ConnectToSourceOracleSyncTaskProperties,
    ConnectToSourcePostgreSqlSyncTaskInput,
    ConnectToSourcePostgreSqlSyncTaskOutput,
    ConnectToSourcePostgreSqlSyncTaskProperties,
    ConnectToSourceSqlServerSyncTaskProperties,
    ConnectToSourceSqlServerTaskInput,
    ConnectToSourceSqlServerTaskOutput,
    ConnectToSourceSqlServerTaskOutputAgentJobLevel,
    ConnectToSourceSqlServerTaskOutputDatabaseLevel,
    ConnectToSourceSqlServerTaskOutputLoginLevel,
    ConnectToSourceSqlServerTaskOutputTaskLevel,
    ConnectToSourceSqlServerTaskProperties,
    ConnectToTargetAzureDbForMySqlTaskInput,
    ConnectToTargetAzureDbForMySqlTaskOutput,
    ConnectToTargetAzureDbForMySqlTaskProperties,
    ConnectToTargetAzureDbForPostgreSqlSyncTaskInput,
    ConnectToTargetAzureDbForPostgreSqlSyncTaskOutput,
    ConnectToTargetAzureDbForPostgreSqlSyncTaskProperties,
    ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskInput,
    ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput,
    ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem,
    ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskProperties,
    ConnectToTargetSqlDbSyncTaskInput,
    ConnectToTargetSqlDbSyncTaskProperties,
    ConnectToTargetSqlDbTaskInput,
    ConnectToTargetSqlDbTaskOutput,
    ConnectToTargetSqlDbTaskProperties,
    ConnectToTargetSqlMISyncTaskInput,
    ConnectToTargetSqlMISyncTaskOutput,
    ConnectToTargetSqlMISyncTaskProperties,
    ConnectToTargetSqlMITaskInput,
    ConnectToTargetSqlMITaskOutput,
    ConnectToTargetSqlMITaskProperties,
    ConnectionInfo,
    CopyProgressDetails,
    DataIntegrityValidationResult,
    DataItemMigrationSummaryResult,
    DataMigrationError,
    DataMigrationProjectMetadata,
    DataMigrationService,
    DataMigrationServiceList,
    DataMigrationServiceStatusResponse,
    Database,
    DatabaseBackupInfo,
    DatabaseFileInfo,
    DatabaseFileInput,
    DatabaseInfo,
    DatabaseMigration,
    DatabaseMigrationBase,
    DatabaseMigrationBaseListResult,
    DatabaseMigrationBaseProperties,
    DatabaseMigrationCosmosDbMongo,
    DatabaseMigrationCosmosDbMongoListResult,
    DatabaseMigrationListResult,
    DatabaseMigrationProperties,
    DatabaseMigrationPropertiesCosmosDbMongo,
    DatabaseMigrationPropertiesSqlDb,
    DatabaseMigrationPropertiesSqlMi,
    DatabaseMigrationPropertiesSqlVm,
    DatabaseMigrationSqlDb,
    DatabaseMigrationSqlMi,
    DatabaseMigrationSqlVm,
    DatabaseObjectName,
    DatabaseSummaryResult,
    DatabaseTable,
    DeleteNode,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorInfo,
    ErrorResponse,
    ExecutionStatistics,
    FileList,
    FileShare,
    FileStorageInfo,
    GetProjectDetailsNonSqlTaskInput,
    GetTdeCertificatesSqlTaskInput,
    GetTdeCertificatesSqlTaskOutput,
    GetTdeCertificatesSqlTaskProperties,
    GetUserTablesMySqlTaskInput,
    GetUserTablesMySqlTaskOutput,
    GetUserTablesMySqlTaskProperties,
    GetUserTablesOracleTaskInput,
    GetUserTablesOracleTaskOutput,
    GetUserTablesOracleTaskProperties,
    GetUserTablesPostgreSqlTaskInput,
    GetUserTablesPostgreSqlTaskOutput,
    GetUserTablesPostgreSqlTaskProperties,
    GetUserTablesSqlSyncTaskInput,
    GetUserTablesSqlSyncTaskOutput,
    GetUserTablesSqlSyncTaskProperties,
    GetUserTablesSqlTaskInput,
    GetUserTablesSqlTaskOutput,
    GetUserTablesSqlTaskProperties,
    InstallOCIDriverTaskInput,
    InstallOCIDriverTaskOutput,
    InstallOCIDriverTaskProperties,
    IntegrationRuntimeMonitoringData,
    ManagedServiceIdentity,
    MiSqlConnectionInfo,
    MigrateMISyncCompleteCommandInput,
    MigrateMISyncCompleteCommandOutput,
    MigrateMISyncCompleteCommandProperties,
    MigrateMongoDbTaskProperties,
    MigrateMySqlAzureDbForMySqlOfflineDatabaseInput,
    MigrateMySqlAzureDbForMySqlOfflineTaskInput,
    MigrateMySqlAzureDbForMySqlOfflineTaskOutput,
    MigrateMySqlAzureDbForMySqlOfflineTaskOutputDatabaseLevel,
    MigrateMySqlAzureDbForMySqlOfflineTaskOutputError,
    MigrateMySqlAzureDbForMySqlOfflineTaskOutputMigrationLevel,
    MigrateMySqlAzureDbForMySqlOfflineTaskOutputTableLevel,
    MigrateMySqlAzureDbForMySqlOfflineTaskProperties,
    MigrateMySqlAzureDbForMySqlSyncDatabaseInput,
    MigrateMySqlAzureDbForMySqlSyncTaskInput,
    MigrateMySqlAzureDbForMySqlSyncTaskOutput,
    MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseError,
    MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseLevel,
    MigrateMySqlAzureDbForMySqlSyncTaskOutputError,
    MigrateMySqlAzureDbForMySqlSyncTaskOutputMigrationLevel,
    MigrateMySqlAzureDbForMySqlSyncTaskOutputTableLevel,
    MigrateMySqlAzureDbForMySqlSyncTaskProperties,
    MigrateOracleAzureDbForPostgreSqlSyncTaskProperties,
    MigrateOracleAzureDbPostgreSqlSyncDatabaseInput,
    MigrateOracleAzureDbPostgreSqlSyncTaskInput,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutput,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseError,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseLevel,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutputError,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutputMigrationLevel,
    MigrateOracleAzureDbPostgreSqlSyncTaskOutputTableLevel,
    MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseInput,
    MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseTableInput,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskInput,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseError,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseLevel,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputError,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputMigrationLevel,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputTableLevel,
    MigratePostgreSqlAzureDbForPostgreSqlSyncTaskProperties,
    MigrateSchemaSqlServerSqlDbDatabaseInput,
    MigrateSchemaSqlServerSqlDbTaskInput,
    MigrateSchemaSqlServerSqlDbTaskOutput,
    MigrateSchemaSqlServerSqlDbTaskOutputDatabaseLevel,
    MigrateSchemaSqlServerSqlDbTaskOutputError,
    MigrateSchemaSqlServerSqlDbTaskOutputMigrationLevel,
    MigrateSchemaSqlServerSqlDbTaskProperties,
    MigrateSchemaSqlTaskOutputError,
    MigrateSqlServerDatabaseInput,
    MigrateSqlServerSqlDbDatabaseInput,
    MigrateSqlServerSqlDbSyncDatabaseInput,
    MigrateSqlServerSqlDbSyncTaskInput,
    MigrateSqlServerSqlDbSyncTaskOutput,
    MigrateSqlServerSqlDbSyncTaskOutputDatabaseError,
    MigrateSqlServerSqlDbSyncTaskOutputDatabaseLevel,
    MigrateSqlServerSqlDbSyncTaskOutputError,
    MigrateSqlServerSqlDbSyncTaskOutputMigrationLevel,
    MigrateSqlServerSqlDbSyncTaskOutputTableLevel,
    MigrateSqlServerSqlDbSyncTaskProperties,
    MigrateSqlServerSqlDbTaskInput,
    MigrateSqlServerSqlDbTaskOutput,
    MigrateSqlServerSqlDbTaskOutputDatabaseLevel,
    MigrateSqlServerSqlDbTaskOutputDatabaseLevelValidationResult,
    MigrateSqlServerSqlDbTaskOutputError,
    MigrateSqlServerSqlDbTaskOutputMigrationLevel,
    MigrateSqlServerSqlDbTaskOutputTableLevel,
    MigrateSqlServerSqlDbTaskOutputValidationResult,
    MigrateSqlServerSqlDbTaskProperties,
    MigrateSqlServerSqlMIDatabaseInput,
    MigrateSqlServerSqlMISyncTaskInput,
    MigrateSqlServerSqlMISyncTaskOutput,
    MigrateSqlServerSqlMISyncTaskOutputDatabaseLevel,
    MigrateSqlServerSqlMISyncTaskOutputError,
    MigrateSqlServerSqlMISyncTaskOutputMigrationLevel,
    MigrateSqlServerSqlMISyncTaskProperties,
    MigrateSqlServerSqlMITaskInput,
    MigrateSqlServerSqlMITaskOutput,
    MigrateSqlServerSqlMITaskOutputAgentJobLevel,
    MigrateSqlServerSqlMITaskOutputDatabaseLevel,
    MigrateSqlServerSqlMITaskOutputError,
    MigrateSqlServerSqlMITaskOutputLoginLevel,
    MigrateSqlServerSqlMITaskOutputMigrationLevel,
    MigrateSqlServerSqlMITaskProperties,
    MigrateSsisTaskInput,
    MigrateSsisTaskOutput,
    MigrateSsisTaskOutputMigrationLevel,
    MigrateSsisTaskOutputProjectLevel,
    MigrateSsisTaskProperties,
    MigrateSyncCompleteCommandInput,
    MigrateSyncCompleteCommandOutput,
    MigrateSyncCompleteCommandProperties,
    MigrationEligibilityInfo,
    MigrationOperationInput,
    MigrationReportResult,
    MigrationService,
    MigrationServiceListResult,
    MigrationServiceUpdate,
    MigrationStatusDetails,
    MigrationTableMetadata,
    MigrationValidationDatabaseLevelResult,
    MigrationValidationDatabaseSummaryResult,
    MigrationValidationOptions,
    MigrationValidationResult,
    MongoConnectionInformation,
    MongoDbCancelCommand,
    MongoDbClusterInfo,
    MongoDbCollectionInfo,
    MongoDbCollectionProgress,
    MongoDbCollectionSettings,
    MongoDbCommandInput,
    MongoDbConnectionInfo,
    MongoDbDatabaseInfo,
    MongoDbDatabaseProgress,
    MongoDbDatabaseSettings,
    MongoDbError,
    MongoDbFinishCommand,
    MongoDbFinishCommandInput,
    MongoDbMigrationProgress,
    MongoDbMigrationSettings,
    MongoDbObjectInfo,
    MongoDbProgress,
    MongoDbRestartCommand,
    MongoDbShardKeyField,
    MongoDbShardKeyInfo,
    MongoDbShardKeySetting,
    MongoDbThrottlingSettings,
    MongoMigrationCollection,
    MongoMigrationProgressDetails,
    MySqlConnectionInfo,
    NameAvailabilityRequest,
    NameAvailabilityResponse,
    NodeMonitoringData,
    NonSqlDataMigrationTable,
    NonSqlDataMigrationTableResult,
    NonSqlMigrationTaskInput,
    NonSqlMigrationTaskOutput,
    ODataError,
    OfflineConfiguration,
    OperationListResult,
    OperationsDefinition,
    OperationsDisplayDefinition,
    OracleConnectionInfo,
    OracleOCIDriverInfo,
    OrphanedUserInfo,
    PostgreSqlConnectionInfo,
    Project,
    ProjectFile,
    ProjectFileProperties,
    ProjectList,
    ProjectTask,
    ProjectTaskProperties,
    ProxyResource,
    ProxyResourceAutoGenerated,
    QueryAnalysisValidationResult,
    QueryExecutionResult,
    Quota,
    QuotaList,
    QuotaName,
    RegenAuthKeys,
    ReportableException,
    Resource,
    ResourceAutoGenerated,
    ResourceSku,
    ResourceSkuCapabilities,
    ResourceSkuCapacity,
    ResourceSkuCosts,
    ResourceSkuRestrictions,
    ResourceSkusResult,
    SchemaComparisonValidationResult,
    SchemaComparisonValidationResultType,
    SchemaMigrationSetting,
    SelectedCertificateInput,
    ServerProperties,
    ServiceOperation,
    ServiceOperationDisplay,
    ServiceOperationList,
    ServiceSku,
    ServiceSkuList,
    SourceLocation,
    SqlBackupFileInfo,
    SqlBackupSetInfo,
    SqlConnectionInfo,
    SqlConnectionInformation,
    SqlDbMigrationStatusDetails,
    SqlDbOfflineConfiguration,
    SqlFileShare,
    SqlMigrationListResult,
    SqlMigrationService,
    SqlMigrationServiceUpdate,
    SqlMigrationTaskInput,
    SqlServerSqlMISyncTaskInput,
    SsisMigrationInfo,
    StartMigrationScenarioServerRoleResult,
    SyncMigrationDatabaseErrorEvent,
    SystemData,
    SystemDataAutoGenerated,
    TargetLocation,
    TaskList,
    TrackedResource,
    TrackedResourceAutoGenerated,
    UploadOCIDriverTaskInput,
    UploadOCIDriverTaskOutput,
    UploadOCIDriverTaskProperties,
    UserAssignedIdentity,
    ValidateMigrationInputSqlServerSqlDbSyncTaskProperties,
    ValidateMigrationInputSqlServerSqlMISyncTaskInput,
    ValidateMigrationInputSqlServerSqlMISyncTaskOutput,
    ValidateMigrationInputSqlServerSqlMISyncTaskProperties,
    ValidateMigrationInputSqlServerSqlMITaskInput,
    ValidateMigrationInputSqlServerSqlMITaskOutput,
    ValidateMigrationInputSqlServerSqlMITaskProperties,
    ValidateMongoDbTaskProperties,
    ValidateOracleAzureDbForPostgreSqlSyncTaskProperties,
    ValidateOracleAzureDbPostgreSqlSyncTaskOutput,
    ValidateSyncMigrationInputSqlServerTaskInput,
    ValidateSyncMigrationInputSqlServerTaskOutput,
    ValidationError,
    WaitStatistics,
)

from ._data_migration_management_client_enums import (  # type: ignore
    AuthType,
    AuthenticationType,
    BackupFileStatus,
    BackupMode,
    BackupType,
    CommandState,
    CommandType,
    CreatedByType,
    DataMigrationResultCode,
    DatabaseCompatLevel,
    DatabaseFileType,
    DatabaseMigrationStage,
    DatabaseMigrationState,
    DatabaseState,
    ErrorType,
    LoginMigrationStage,
    LoginType,
    ManagedServiceIdentityType,
    MigrationState,
    MigrationStatus,
    MongoDbClusterType,
    MongoDbErrorType,
    MongoDbMigrationState,
    MongoDbProgressResultType,
    MongoDbReplication,
    MongoDbShardKeyOrder,
    MongoMigrationStatus,
    MySqlTargetPlatformType,
    NameCheckFailureReason,
    ObjectType,
    OperationOrigin,
    ProjectProvisioningState,
    ProjectSourcePlatform,
    ProjectTargetPlatform,
    ProvisioningState,
    ReplicateMigrationState,
    ResourceSkuCapacityScaleType,
    ResourceSkuRestrictionsReasonCode,
    ResourceSkuRestrictionsType,
    ResourceType,
    ScenarioSource,
    ScenarioTarget,
    SchemaMigrationOption,
    SchemaMigrationStage,
    ServerLevelPermissionsGroup,
    ServiceProvisioningState,
    ServiceScalability,
    Severity,
    SqlSourcePlatform,
    SsisMigrationOverwriteOption,
    SsisMigrationStage,
    SsisStoreType,
    SyncDatabaseMigrationReportingState,
    SyncTableMigrationState,
    TaskState,
    TaskType,
    UpdateActionType,
    ValidationStatus,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ApiError",
    "AuthenticationKeys",
    "AvailableServiceSku",
    "AvailableServiceSkuCapacity",
    "AvailableServiceSkuSku",
    "AzureActiveDirectoryApp",
    "AzureBlob",
    "BackupConfiguration",
    "BackupFileInfo",
    "BackupSetInfo",
    "BlobShare",
    "CheckOCIDriverTaskInput",
    "CheckOCIDriverTaskOutput",
    "CheckOCIDriverTaskProperties",
    "CommandProperties",
    "ConnectToMongoDbTaskProperties",
    "ConnectToSourceMySqlTaskInput",
    "ConnectToSourceMySqlTaskProperties",
    "ConnectToSourceNonSqlTaskOutput",
    "ConnectToSourceOracleSyncTaskInput",
    "ConnectToSourceOracleSyncTaskOutput",
    "ConnectToSourceOracleSyncTaskProperties",
    "ConnectToSourcePostgreSqlSyncTaskInput",
    "ConnectToSourcePostgreSqlSyncTaskOutput",
    "ConnectToSourcePostgreSqlSyncTaskProperties",
    "ConnectToSourceSqlServerSyncTaskProperties",
    "ConnectToSourceSqlServerTaskInput",
    "ConnectToSourceSqlServerTaskOutput",
    "ConnectToSourceSqlServerTaskOutputAgentJobLevel",
    "ConnectToSourceSqlServerTaskOutputDatabaseLevel",
    "ConnectToSourceSqlServerTaskOutputLoginLevel",
    "ConnectToSourceSqlServerTaskOutputTaskLevel",
    "ConnectToSourceSqlServerTaskProperties",
    "ConnectToTargetAzureDbForMySqlTaskInput",
    "ConnectToTargetAzureDbForMySqlTaskOutput",
    "ConnectToTargetAzureDbForMySqlTaskProperties",
    "ConnectToTargetAzureDbForPostgreSqlSyncTaskInput",
    "ConnectToTargetAzureDbForPostgreSqlSyncTaskOutput",
    "ConnectToTargetAzureDbForPostgreSqlSyncTaskProperties",
    "ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskInput",
    "ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput",
    "ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem",
    "ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskProperties",
    "ConnectToTargetSqlDbSyncTaskInput",
    "ConnectToTargetSqlDbSyncTaskProperties",
    "ConnectToTargetSqlDbTaskInput",
    "ConnectToTargetSqlDbTaskOutput",
    "ConnectToTargetSqlDbTaskProperties",
    "ConnectToTargetSqlMISyncTaskInput",
    "ConnectToTargetSqlMISyncTaskOutput",
    "ConnectToTargetSqlMISyncTaskProperties",
    "ConnectToTargetSqlMITaskInput",
    "ConnectToTargetSqlMITaskOutput",
    "ConnectToTargetSqlMITaskProperties",
    "ConnectionInfo",
    "CopyProgressDetails",
    "DataIntegrityValidationResult",
    "DataItemMigrationSummaryResult",
    "DataMigrationError",
    "DataMigrationProjectMetadata",
    "DataMigrationService",
    "DataMigrationServiceList",
    "DataMigrationServiceStatusResponse",
    "Database",
    "DatabaseBackupInfo",
    "DatabaseFileInfo",
    "DatabaseFileInput",
    "DatabaseInfo",
    "DatabaseMigration",
    "DatabaseMigrationBase",
    "DatabaseMigrationBaseListResult",
    "DatabaseMigrationBaseProperties",
    "DatabaseMigrationCosmosDbMongo",
    "DatabaseMigrationCosmosDbMongoListResult",
    "DatabaseMigrationListResult",
    "DatabaseMigrationProperties",
    "DatabaseMigrationPropertiesCosmosDbMongo",
    "DatabaseMigrationPropertiesSqlDb",
    "DatabaseMigrationPropertiesSqlMi",
    "DatabaseMigrationPropertiesSqlVm",
    "DatabaseMigrationSqlDb",
    "DatabaseMigrationSqlMi",
    "DatabaseMigrationSqlVm",
    "DatabaseObjectName",
    "DatabaseSummaryResult",
    "DatabaseTable",
    "DeleteNode",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorInfo",
    "ErrorResponse",
    "ExecutionStatistics",
    "FileList",
    "FileShare",
    "FileStorageInfo",
    "GetProjectDetailsNonSqlTaskInput",
    "GetTdeCertificatesSqlTaskInput",
    "GetTdeCertificatesSqlTaskOutput",
    "GetTdeCertificatesSqlTaskProperties",
    "GetUserTablesMySqlTaskInput",
    "GetUserTablesMySqlTaskOutput",
    "GetUserTablesMySqlTaskProperties",
    "GetUserTablesOracleTaskInput",
    "GetUserTablesOracleTaskOutput",
    "GetUserTablesOracleTaskProperties",
    "GetUserTablesPostgreSqlTaskInput",
    "GetUserTablesPostgreSqlTaskOutput",
    "GetUserTablesPostgreSqlTaskProperties",
    "GetUserTablesSqlSyncTaskInput",
    "GetUserTablesSqlSyncTaskOutput",
    "GetUserTablesSqlSyncTaskProperties",
    "GetUserTablesSqlTaskInput",
    "GetUserTablesSqlTaskOutput",
    "GetUserTablesSqlTaskProperties",
    "InstallOCIDriverTaskInput",
    "InstallOCIDriverTaskOutput",
    "InstallOCIDriverTaskProperties",
    "IntegrationRuntimeMonitoringData",
    "ManagedServiceIdentity",
    "MiSqlConnectionInfo",
    "MigrateMISyncCompleteCommandInput",
    "MigrateMISyncCompleteCommandOutput",
    "MigrateMISyncCompleteCommandProperties",
    "MigrateMongoDbTaskProperties",
    "MigrateMySqlAzureDbForMySqlOfflineDatabaseInput",
    "MigrateMySqlAzureDbForMySqlOfflineTaskInput",
    "MigrateMySqlAzureDbForMySqlOfflineTaskOutput",
    "MigrateMySqlAzureDbForMySqlOfflineTaskOutputDatabaseLevel",
    "MigrateMySqlAzureDbForMySqlOfflineTaskOutputError",
    "MigrateMySqlAzureDbForMySqlOfflineTaskOutputMigrationLevel",
    "MigrateMySqlAzureDbForMySqlOfflineTaskOutputTableLevel",
    "MigrateMySqlAzureDbForMySqlOfflineTaskProperties",
    "MigrateMySqlAzureDbForMySqlSyncDatabaseInput",
    "MigrateMySqlAzureDbForMySqlSyncTaskInput",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutput",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseError",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseLevel",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutputError",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutputMigrationLevel",
    "MigrateMySqlAzureDbForMySqlSyncTaskOutputTableLevel",
    "MigrateMySqlAzureDbForMySqlSyncTaskProperties",
    "MigrateOracleAzureDbForPostgreSqlSyncTaskProperties",
    "MigrateOracleAzureDbPostgreSqlSyncDatabaseInput",
    "MigrateOracleAzureDbPostgreSqlSyncTaskInput",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutput",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseError",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseLevel",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutputError",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutputMigrationLevel",
    "MigrateOracleAzureDbPostgreSqlSyncTaskOutputTableLevel",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseInput",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseTableInput",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskInput",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseError",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseLevel",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputError",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputMigrationLevel",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputTableLevel",
    "MigratePostgreSqlAzureDbForPostgreSqlSyncTaskProperties",
    "MigrateSchemaSqlServerSqlDbDatabaseInput",
    "MigrateSchemaSqlServerSqlDbTaskInput",
    "MigrateSchemaSqlServerSqlDbTaskOutput",
    "MigrateSchemaSqlServerSqlDbTaskOutputDatabaseLevel",
    "MigrateSchemaSqlServerSqlDbTaskOutputError",
    "MigrateSchemaSqlServerSqlDbTaskOutputMigrationLevel",
    "MigrateSchemaSqlServerSqlDbTaskProperties",
    "MigrateSchemaSqlTaskOutputError",
    "MigrateSqlServerDatabaseInput",
    "MigrateSqlServerSqlDbDatabaseInput",
    "MigrateSqlServerSqlDbSyncDatabaseInput",
    "MigrateSqlServerSqlDbSyncTaskInput",
    "MigrateSqlServerSqlDbSyncTaskOutput",
    "MigrateSqlServerSqlDbSyncTaskOutputDatabaseError",
    "MigrateSqlServerSqlDbSyncTaskOutputDatabaseLevel",
    "MigrateSqlServerSqlDbSyncTaskOutputError",
    "MigrateSqlServerSqlDbSyncTaskOutputMigrationLevel",
    "MigrateSqlServerSqlDbSyncTaskOutputTableLevel",
    "MigrateSqlServerSqlDbSyncTaskProperties",
    "MigrateSqlServerSqlDbTaskInput",
    "MigrateSqlServerSqlDbTaskOutput",
    "MigrateSqlServerSqlDbTaskOutputDatabaseLevel",
    "MigrateSqlServerSqlDbTaskOutputDatabaseLevelValidationResult",
    "MigrateSqlServerSqlDbTaskOutputError",
    "MigrateSqlServerSqlDbTaskOutputMigrationLevel",
    "MigrateSqlServerSqlDbTaskOutputTableLevel",
    "MigrateSqlServerSqlDbTaskOutputValidationResult",
    "MigrateSqlServerSqlDbTaskProperties",
    "MigrateSqlServerSqlMIDatabaseInput",
    "MigrateSqlServerSqlMISyncTaskInput",
    "MigrateSqlServerSqlMISyncTaskOutput",
    "MigrateSqlServerSqlMISyncTaskOutputDatabaseLevel",
    "MigrateSqlServerSqlMISyncTaskOutputError",
    "MigrateSqlServerSqlMISyncTaskOutputMigrationLevel",
    "MigrateSqlServerSqlMISyncTaskProperties",
    "MigrateSqlServerSqlMITaskInput",
    "MigrateSqlServerSqlMITaskOutput",
    "MigrateSqlServerSqlMITaskOutputAgentJobLevel",
    "MigrateSqlServerSqlMITaskOutputDatabaseLevel",
    "MigrateSqlServerSqlMITaskOutputError",
    "MigrateSqlServerSqlMITaskOutputLoginLevel",
    "MigrateSqlServerSqlMITaskOutputMigrationLevel",
    "MigrateSqlServerSqlMITaskProperties",
    "MigrateSsisTaskInput",
    "MigrateSsisTaskOutput",
    "MigrateSsisTaskOutputMigrationLevel",
    "MigrateSsisTaskOutputProjectLevel",
    "MigrateSsisTaskProperties",
    "MigrateSyncCompleteCommandInput",
    "MigrateSyncCompleteCommandOutput",
    "MigrateSyncCompleteCommandProperties",
    "MigrationEligibilityInfo",
    "MigrationOperationInput",
    "MigrationReportResult",
    "MigrationService",
    "MigrationServiceListResult",
    "MigrationServiceUpdate",
    "MigrationStatusDetails",
    "MigrationTableMetadata",
    "MigrationValidationDatabaseLevelResult",
    "MigrationValidationDatabaseSummaryResult",
    "MigrationValidationOptions",
    "MigrationValidationResult",
    "MongoConnectionInformation",
    "MongoDbCancelCommand",
    "MongoDbClusterInfo",
    "MongoDbCollectionInfo",
    "MongoDbCollectionProgress",
    "MongoDbCollectionSettings",
    "MongoDbCommandInput",
    "MongoDbConnectionInfo",
    "MongoDbDatabaseInfo",
    "MongoDbDatabaseProgress",
    "MongoDbDatabaseSettings",
    "MongoDbError",
    "MongoDbFinishCommand",
    "MongoDbFinishCommandInput",
    "MongoDbMigrationProgress",
    "MongoDbMigrationSettings",
    "MongoDbObjectInfo",
    "MongoDbProgress",
    "MongoDbRestartCommand",
    "MongoDbShardKeyField",
    "MongoDbShardKeyInfo",
    "MongoDbShardKeySetting",
    "MongoDbThrottlingSettings",
    "MongoMigrationCollection",
    "MongoMigrationProgressDetails",
    "MySqlConnectionInfo",
    "NameAvailabilityRequest",
    "NameAvailabilityResponse",
    "NodeMonitoringData",
    "NonSqlDataMigrationTable",
    "NonSqlDataMigrationTableResult",
    "NonSqlMigrationTaskInput",
    "NonSqlMigrationTaskOutput",
    "ODataError",
    "OfflineConfiguration",
    "OperationListResult",
    "OperationsDefinition",
    "OperationsDisplayDefinition",
    "OracleConnectionInfo",
    "OracleOCIDriverInfo",
    "OrphanedUserInfo",
    "PostgreSqlConnectionInfo",
    "Project",
    "ProjectFile",
    "ProjectFileProperties",
    "ProjectList",
    "ProjectTask",
    "ProjectTaskProperties",
    "ProxyResource",
    "ProxyResourceAutoGenerated",
    "QueryAnalysisValidationResult",
    "QueryExecutionResult",
    "Quota",
    "QuotaList",
    "QuotaName",
    "RegenAuthKeys",
    "ReportableException",
    "Resource",
    "ResourceAutoGenerated",
    "ResourceSku",
    "ResourceSkuCapabilities",
    "ResourceSkuCapacity",
    "ResourceSkuCosts",
    "ResourceSkuRestrictions",
    "ResourceSkusResult",
    "SchemaComparisonValidationResult",
    "SchemaComparisonValidationResultType",
    "SchemaMigrationSetting",
    "SelectedCertificateInput",
    "ServerProperties",
    "ServiceOperation",
    "ServiceOperationDisplay",
    "ServiceOperationList",
    "ServiceSku",
    "ServiceSkuList",
    "SourceLocation",
    "SqlBackupFileInfo",
    "SqlBackupSetInfo",
    "SqlConnectionInfo",
    "SqlConnectionInformation",
    "SqlDbMigrationStatusDetails",
    "SqlDbOfflineConfiguration",
    "SqlFileShare",
    "SqlMigrationListResult",
    "SqlMigrationService",
    "SqlMigrationServiceUpdate",
    "SqlMigrationTaskInput",
    "SqlServerSqlMISyncTaskInput",
    "SsisMigrationInfo",
    "StartMigrationScenarioServerRoleResult",
    "SyncMigrationDatabaseErrorEvent",
    "SystemData",
    "SystemDataAutoGenerated",
    "TargetLocation",
    "TaskList",
    "TrackedResource",
    "TrackedResourceAutoGenerated",
    "UploadOCIDriverTaskInput",
    "UploadOCIDriverTaskOutput",
    "UploadOCIDriverTaskProperties",
    "UserAssignedIdentity",
    "ValidateMigrationInputSqlServerSqlDbSyncTaskProperties",
    "ValidateMigrationInputSqlServerSqlMISyncTaskInput",
    "ValidateMigrationInputSqlServerSqlMISyncTaskOutput",
    "ValidateMigrationInputSqlServerSqlMISyncTaskProperties",
    "ValidateMigrationInputSqlServerSqlMITaskInput",
    "ValidateMigrationInputSqlServerSqlMITaskOutput",
    "ValidateMigrationInputSqlServerSqlMITaskProperties",
    "ValidateMongoDbTaskProperties",
    "ValidateOracleAzureDbForPostgreSqlSyncTaskProperties",
    "ValidateOracleAzureDbPostgreSqlSyncTaskOutput",
    "ValidateSyncMigrationInputSqlServerTaskInput",
    "ValidateSyncMigrationInputSqlServerTaskOutput",
    "ValidationError",
    "WaitStatistics",
    "AuthType",
    "AuthenticationType",
    "BackupFileStatus",
    "BackupMode",
    "BackupType",
    "CommandState",
    "CommandType",
    "CreatedByType",
    "DataMigrationResultCode",
    "DatabaseCompatLevel",
    "DatabaseFileType",
    "DatabaseMigrationStage",
    "DatabaseMigrationState",
    "DatabaseState",
    "ErrorType",
    "LoginMigrationStage",
    "LoginType",
    "ManagedServiceIdentityType",
    "MigrationState",
    "MigrationStatus",
    "MongoDbClusterType",
    "MongoDbErrorType",
    "MongoDbMigrationState",
    "MongoDbProgressResultType",
    "MongoDbReplication",
    "MongoDbShardKeyOrder",
    "MongoMigrationStatus",
    "MySqlTargetPlatformType",
    "NameCheckFailureReason",
    "ObjectType",
    "OperationOrigin",
    "ProjectProvisioningState",
    "ProjectSourcePlatform",
    "ProjectTargetPlatform",
    "ProvisioningState",
    "ReplicateMigrationState",
    "ResourceSkuCapacityScaleType",
    "ResourceSkuRestrictionsReasonCode",
    "ResourceSkuRestrictionsType",
    "ResourceType",
    "ScenarioSource",
    "ScenarioTarget",
    "SchemaMigrationOption",
    "SchemaMigrationStage",
    "ServerLevelPermissionsGroup",
    "ServiceProvisioningState",
    "ServiceScalability",
    "Severity",
    "SqlSourcePlatform",
    "SsisMigrationOverwriteOption",
    "SsisMigrationStage",
    "SsisStoreType",
    "SyncDatabaseMigrationReportingState",
    "SyncTableMigrationState",
    "TaskState",
    "TaskType",
    "UpdateActionType",
    "ValidationStatus",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
